// Project Sword & Gun Copyright © 2021 Kevin Poretti

#pragma once

#include "CoreMinimal.h"

#include "SwordNGun/SNGTypes.h"
#include "UObject/Interface.h"
#include "SNGEventProcessorInterface.generated.h"

// This class does not need to be modified.
UINTERFACE(MinimalAPI)
class USNGEventProcessorInterface : public UInterface
{
	GENERATED_BODY()
};

/**
 * 
 */
class SWORDNGUN_API ISNGEventProcessorInterface
{
	GENERATED_BODY()

	// Add interface functions to this class. This is the class that will be inherited to implement this interface.
public:

	virtual bool PushEvent(FSNGEvent Event)=0;
};
